Unable to install WooCommerce since it support latest updated wordpress and php issues

Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 22 July 2019

Dear Sir,

We are unable to work on Woocommerce there since its giving the following errors.

Warning: An unexpected error occurred. Something may be wrong with WordPress.org or this server’s configuration. If you continue to have problems, please try the support forums. (WordPress could not establish a secure connection to WordPress.org. Please contact your server administrator.) in C:\ProgramData\Themler\hd_data\themler_4229530793\woocommerce\wp-includes\update.php on line 120

You cannot update because WordPress 5.2.2 requires PHP version 5.6.20 or higher. You are running version 5.4.42.

Can you please let us know ASAP.

And let us know how to install updated wordpress and php version under our existing themler tool.

Regards
Suffian Ahmed

Dear Sir, We are unable to work on Woocommerce there since its giving the following errors. Warning: An unexpected error occurred. Something may be wrong with WordPress.org or this server’s configuration. If you continue to have problems, please try the support forums. (WordPress could not establish a secure connection to WordPress.org. Please contact your server administrator.) in C:\ProgramData\Themler\hd_data\themler_4229530793\woocommerce\wp-includes\update.php on line 120 You cannot update because WordPress 5.2.2 requires PHP version 5.6.20 or higher. You are running version 5.4.42. Can you please let us know ASAP. And let us know how to install updated wordpress and php version under our existing themler tool. Regards Suffian Ahmed
Vote to pay developers attention to this features or issue.
40 Comments
Order By: Standard | Newest
Support Team
Support Team posted this 22 July 2019

Hello,

Do you mean that you are trying to update Wordpress and WooCommerce in Themler desktop? This is not recommended. Or on your website?

Sincerely,
Nettie

Hello, Do you mean that you are trying to update Wordpress and WooCommerce in Themler desktop? This is not recommended. Or on your website? Sincerely, Nettie
Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 22 July 2019

Please check the screenshot for the error and wordpress update with new php since woocommerce project need updated woocommerce.

Regards
Suffian Ahmed

Please check the screenshot for the error and wordpress update with new php since woocommerce project need updated woocommerce. Regards Suffian Ahmed
Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 22 July 2019

and why we are not allowed to update new wordpress and php ???

some times i am getting error as below at the time of installing new woocommerce plugins and themes.

Error are as follows

Warning: An unexpected error occurred. Something may be wrong with WordPress.org or this server’s configuration. If you continue to have problems, please try the support forums. (WordPress could not establish a secure connection to WordPress.org. Please contact your server administrator.) in C:\ProgramData\Themler\hd_data\themler_4229530793\woocommerce\wp-includes\update.php on line 120

You cannot update because WordPress 5.2.2 requires PHP version 5.6.20 or higher. You are running version 5.4.42.


Please share the fix how to just create new woocommerce theme.

Regards
Suffian Ahmed

and why we are not allowed to update new wordpress and php ??? some times i am getting error as below at the time of installing new woocommerce plugins and themes. Error are as follows ----------------------------------------- Warning: An unexpected error occurred. Something may be wrong with WordPress.org or this server’s configuration. If you continue to have problems, please try the support forums. (WordPress could not establish a secure connection to WordPress.org. Please contact your server administrator.) in C:\ProgramData\Themler\hd_data\themler_4229530793\woocommerce\wp-includes\update.php on line 120 You cannot update because WordPress 5.2.2 requires PHP version 5.6.20 or higher. You are running version 5.4.42. ----------------------------------------- Please share the fix how to just create new woocommerce theme. Regards Suffian Ahmed
Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 22 July 2019

giving error while doing this too

https://answers.themler.io/articles/4021/how-to-install-woocommerce

giving error while doing this too https://answers.themler.io/articles/4021/how-to-install-woocommerce
Support Team
Support Team posted this 22 July 2019

Hello,

It is recommended to use CMS and eCommer plugin versions that go by default with Themler desktop.
However you may use any supported Wordpress or WooCommerce version on your hosted website or on the localhost. The instruction from the article above is defined for this purpose.

Sincerely,
Nettie

Hello, It is recommended to use CMS and eCommer plugin versions that go by default with Themler desktop. However you may use any supported Wordpress or WooCommerce version on your hosted website or on the localhost. The instruction from the article above is defined for this purpose. Sincerely, Nettie
Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 22 July 2019

i have followed above link but got error message. so, need some more details about the same.

i have followed above link but got error message. so, need some more details about the same.
Support Team
Support Team posted this 22 July 2019

Hello,

The point is that if you wish to use the newest wooCommerce version, please install Wordpress and wooCommerce on your localhost or hosted website. Or do you mean that you cannot access the article itself?

Sincerely,
Nettie

Hello, The point is that if you wish to use the newest wooCommerce version, please install Wordpress and wooCommerce on your localhost or hosted website. Or do you mean that you cannot access the article itself? Sincerely, Nettie
Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 22 July 2019

yes, both I am unable to do so. can you let us know how to update the latest WordPress version and also how to update PHP with the latest version using Themler.

I tried updating new WordPress but not happening. Check the attached image, at the top it says updated WordPress version is there to update it but not getting updated. why?

yes, both I am unable to do so. can you let us know how to update the latest WordPress version and also how to update PHP with the latest version using Themler. I tried updating new WordPress but not happening. Check the attached image, at the top it says updated WordPress version is there to update it but not getting updated. why?
Support Team
Support Team posted this 23 July 2019

Hello Suffian,

What Nettie is trying to tell is that you are currecntly using Wordpress installation provided by Themler. This is a local Wordpress playground that comes together with Themler install and that has PHP 5.
We do not plan to upgrade PHP version to 7 in the near future inside of Themler, thus, if you want to use latest Wordpress and latest WooCommerce, you need to install Wordpress on your own server that would use PHP 7. Themler themes will still work there.

Gina
Themler Support

Hello Suffian, What Nettie is trying to tell is that you are currecntly using Wordpress installation provided by Themler. This is a local Wordpress playground that comes together with Themler install and that has PHP 5. We do not plan to upgrade PHP version to 7 in the near future inside of Themler, thus, if you want to use latest Wordpress and latest WooCommerce, you need to install Wordpress on your own server that would use PHP 7. Themler themes will still work there. Gina Themler Support
Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 23 July 2019

whenever i try to add woocommerce plugin I am getting the following error messages as below, Why ?

Fatal error: Call to undefined function wp_installing() in C:\ProgramData\Themler\hd_data\themler_4229530793\woocommerce\wp-content\plugins\wordpress-seo\wp-seo-main.php on line 493

whenever i try to add woocommerce plugin I am getting the following error messages as below, Why ? Fatal error: Call to undefined function wp_installing() in C:\ProgramData\Themler\hd_data\themler_4229530793\woocommerce\wp-content\plugins\wordpress-seo\wp-seo-main.php on line 493
Support Team
Support Team posted this 23 July 2019

Please, disable all 3rd party plugins related to SEO.

Gina

Please, disable all 3rd party plugins related to SEO. Gina
Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 23 July 2019

Hello Suffian,

What Nettie is trying to tell is that you are currecntly using Wordpress installation provided by Themler. This is a local Wordpress playground that comes together with Themler install and that has PHP 5.
We do not plan to upgrade PHP version to 7 in the near future inside of Themler, thus, if you want to use latest Wordpress and latest WooCommerce, you need to install Wordpress on your own server that would use PHP 7. Themler themes will still work there.

Gina
Themler Support

And, can you let me know how to start fresh on our own... since I have installed many things and it's getting lots of errors. just let me know who to work on basic WordPress woocommerce project using themler from scratch. I tried removing all plugins but still, whenever I try to add new woocommerce project it's redirecting to that error check the screenshot.

Fatal error: Call to undefined function wp_installing() in C:\ProgramData\Themler\hd_data\themler_4229530793\woocommerce\wp-content\plugins\wordpress-seo\wp-seo-main.php on line 493

error message saying we have chosen the theme without woocommerce and asking to enabled it. as you can see there is not woocommerce plugin or woocommerce installed. can you check the screenshot, please...

> Hello Suffian, > > What Nettie is trying to tell is that you are currecntly using Wordpress installation provided by Themler. This is a local Wordpress playground that comes together with Themler install and that has PHP 5. > We do not plan to upgrade PHP version to 7 in the near future inside of Themler, thus, if you want to use latest Wordpress and latest WooCommerce, you need to install Wordpress on your own server that would use PHP 7. Themler themes will still work there. > > Gina > Themler Support And, can you let me know how to start fresh on our own... since I have installed many things and it's getting lots of errors. just let me know who to work on basic WordPress woocommerce project using themler from scratch. I tried removing all plugins but still, whenever I try to add new woocommerce project it's redirecting to that error check the screenshot. Fatal error: Call to undefined function wp_installing() in C:\ProgramData\Themler\hd_data\themler_4229530793\woocommerce\wp-content\plugins\wordpress-seo\wp-seo-main.php on line 493 error message saying we have chosen the theme without woocommerce and asking to enabled it. as you can see there is not woocommerce plugin or woocommerce installed. can you check the screenshot, please...
Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 23 July 2019

check this, I have deleted all SEO plugins along with woocommerce too. this is without anything but still no success. check the screenshot for the same.. it's urgent so need it very badly. screenshot 30

which WordPress and PHP version we are using currently?

and check the screenshot for woocommerce WordPress - default template which is updated with some.. can we reset it. check the screenshot please for the same too. screenshot 31

check this, I have deleted all SEO plugins along with woocommerce too. this is without anything but still no success. check the screenshot for the same.. it's urgent so need it very badly. screenshot 30 which WordPress and PHP version we are using currently? and check the screenshot for woocommerce WordPress - default template which is updated with some.. can we reset it. check the screenshot please for the same too. screenshot 31
Support Team
Support Team posted this 23 July 2019

1) In order to get WooC plugin installed on Themler's Wordpress, you need to disable all extra plugins, including those for WooCommerce from your screenshot (https fix, etc.). The error messages refers to external plugins Wordpress SEO (not Themler). If you switch to default WP theme (liek TwentyFourteen), does the error still appear?

2) That Wordpress installation that you currently use is a local site. I assume you are using it for testing purposes only, you must be planning to have onlien Wordpress on some hosting, right?
You can test Wordpress there, there are may instaructions on how to install Wordpress to a server (some hosting providers do that for you)

3) The error message you see in Themler is because you don't have woocommerce plugin enaled and you are trying to access store templates, like products or cart.

Gina
Themler Support

1) In order to get WooC plugin installed on Themler's Wordpress, you need to disable all extra plugins, including those for WooCommerce from your screenshot (https fix, etc.). The error messages refers to external plugins Wordpress SEO (not Themler). If you switch to default WP theme (liek TwentyFourteen), does the error still appear? 2) That Wordpress installation that you currently use is a local site. I assume you are using it for testing purposes only, you must be planning to have onlien Wordpress on some hosting, right? You can test Wordpress there, there are may instaructions on how to install Wordpress to a server (some hosting providers do that for you) 3) The error message you see in Themler is because you don't have woocommerce plugin enaled and you are trying to access store templates, like products or cart. Gina Themler Support
Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 23 July 2019

3) The error message you see in Themler is because you don't have woocommerce plugin enabled and you are trying to access store templates, like products or cart.

How to enable woocommerce plugin ???

and when i change the theme with twentyfourteen then i am getting the login page and when I try to login using user name: admin and password: a

Screenshot--37-.png
dmin am getting a permission error message. and in added themes, there are many menus added. why?

check the screenshot for the same.

Screenshot--33-.png

3) The error message you see in Themler is because you don't have woocommerce plugin enabled and you are trying to access store templates, like products or cart. How to enable woocommerce plugin ??? and when i change the theme with twentyfourteen then i am getting the login page and when I try to login using user name: admin and password: a!Screenshot--37-.png!dmin am getting a permission error message. and in added themes, there are many menus added. why? check the screenshot for the same.!Screenshot--33-.png!
Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 23 July 2019

I am getting WordPress login as attached.

I am getting WordPress login as attached.
Support Team
Support Team posted this 23 July 2019

Woocommerce should get installed once you resolve the error message with Wordpress SEO.
If you have anything valueable on this intallation, you can e-install Themler along this Wordpress and when themler starts, select WooCommerce theme, then go to admin panel again and WooCshould be already installed there without any extra plugins.

Login should be admin/admin unless you have changed password before. I can switch to default theme without getting login window, can't say why you are getting this. But please note that once you switch to default theme for testing, you won't be able to access this site via Themler until you switch back to Themler's theme in the admin panel.

Gina

Woocommerce should get installed once you resolve the error message with Wordpress SEO. If you have anything valueable on this intallation, you can e-install Themler along this Wordpress and when themler starts, select WooCommerce theme, then go to admin panel again and WooCshould be already installed there without any extra plugins. Login should be admin/admin unless you have changed password before. I can switch to default theme without getting login window, can't say why you are getting this. But please note that once you switch to default theme for testing, you won't be able to access this site via Themler until you switch back to Themler's theme in the admin panel. Gina
Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 23 July 2019

I tried but still no success. asking me to install woocommerce plugin. how and where to install it. I have no woocommerce plugin under my installed plugin page. check this screenshot, please.

Screenshot--30-.png

which plugin in need to refer and install under my plugin page in admin.

I tried but still no success. asking me to install woocommerce plugin. how and where to install it. I have no woocommerce plugin under my installed plugin page. check this screenshot, please. !Screenshot--30-.png! which plugin in need to refer and install under my plugin page in admin.
Support Team
Support Team posted this 23 July 2019

Sorry, I am confused, have you already tried re-installing themler with all CMS data? and still no woocommerce plugin?

When you click on Add New under Plugins and search to WooCommerce, it install with error message?

Gina

Sorry, I am confused, have you already tried re-installing themler with all CMS data? and still no woocommerce plugin? When you click on Add New under Plugins and search to WooCommerce, it install with error message? Gina
Web IT Solutions LLP
401 Posts
Web IT Solutions LLP posted this 23 July 2019

Woocommerce should get installed once you resolve the error message with Wordpress SEO.
If you have anything valueable on this intallation, you can e-install Themler along this Wordpress and when themler starts, select WooCommerce theme, then go to admin panel again and WooCshould be already installed there without any extra plugins.

Login should be admin/admin unless you have changed password before. I can switch to default theme without getting login window, can't say why you are getting this. But please note that once you switch to default theme for testing, you won't be able to access this site via Themler until you switch back to Themler's theme in the admin panel.

Gina

i dont have any woocommerse seo plugin installed .. check the screenshot please.. ????????????????

> Woocommerce should get installed once you resolve the error message with Wordpress SEO. > If you have anything valueable on this intallation, you can e-install Themler along this Wordpress and when themler starts, select WooCommerce theme, then go to admin panel again and WooCshould be already installed there without any extra plugins. > > Login should be admin/admin unless you have changed password before. I can switch to default theme without getting login window, can't say why you are getting this. But please note that once you switch to default theme for testing, you won't be able to access this site via Themler until you switch back to Themler's theme in the admin panel. > > Gina i dont have any woocommerse seo plugin installed .. check the screenshot please.. ????????????????
You must log in or register to leave comments